Developers
V1MeMoodCheckinsId

Save a private mood journal version with explicit storage consent

POST
/v1/me/mood/checkins/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/me/mood/checkins/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "mood": "awful",    "factors": [      "work"    ],    "note": "string",    "effectiveAt": "2019-08-24T14:15:22Z",    "timeZone": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "expectedVersion": 0,    "consentVersion": "2026-10-04",    "consentMoodStorage": true  }'
{  "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",  "entry": {    "mood": "awful",    "factors": [      "work"    ],    "note": "string",    "effectiveAt": "2019-08-24T14:15:22Z",    "timeZone": "string",    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "version": 1,    "recordedAt": "2019-08-24T14:15:22Z"  }}